%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 7.1-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languagelocal english
%define languageeng english
%define languageenglazy American
%define languagecode en
%define lc_ctype en_US

Summary:	English files for aspell
Name:		aspell-%{languagecode}
Version:	7.1.0
Release:	%mkrel 9
Group:		System/Internationalization
Source:		http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%fname-%{src_ver}.tar.bz2
URL:		http://aspell.sourceforge.net/
# Fedora
License:	MIT and BSD

BuildRequires:	make
BuildRequires:	aspell >= %{aspell_ver}
Requires:	aspell >= %{aspell_ver}
# Mageia Stuff
Requires:	locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	aspell-dictionary
Provides:	spell-%{languagecode}
Obsoletes:	aspell-en_CA aspell-en_GB
Provides:	aspell-en_CA aspell-en_GB

AutoReqProv:   no

%description
A English dictionary for use with aspell, a spelling checker.


%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use %%configure macro
./configure

%make

%install
%make_install

chmod 644 README Copyright

%files
%doc README Copyright
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 7.1.0-9.mga8
+ Revision: 1510048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 7.1.0-8.mga7
+ Revision: 1294726
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 7.1.0-7.mga6
+ Revision: 940180
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.1.0-6.mga5
+ Revision: 749483
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.1.0-5.mga5
+ Revision: 677934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.1.0-4.mga4
+ Revision: 502621
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 7.1.0-3.mga3
+ Revision: 346210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 7.1.0-2.mga2
+ Revision: 204393
- drop providing of enchant-dictionary
- clean .spec a bit

* Mon Aug 29 2011 tv <tv> 7.1.0-1.mga2
+ Revision: 136216
- fix group
+ ahmad <ahmad>
- update to 7.1-0
- sync License tag with Fedora
- imported package aspell-en
+ dmorgan <dmorgan>
- Remove mandriva occurencies


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-10mdv2011.0
+ Revision: 603202
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-9mdv2010.1
+ Revision: 518916
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-8mdv2010.0
+ Revision: 413062
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 6.0.0-7mdv2009.1
+ Revision: 350008
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 6.0.0-6mdv2009.0
+ Revision: 220371
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 6.0.0-5mdv2008.1
+ Revision: 182415
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 6.0.0-4mdv2008.1
+ Revision: 148749
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-3mdv2007.0
+ Revision: 123241
- Import aspell-en

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 6.0.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 6.0.0-2mdk
- rebuild

* Fri Dec 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 6.0.0-1mdk
- new release

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.0-1mdk
- new release

* Tue Jul 20 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.51.1-1mdk
- updated version

